Bug 239548 - missing description for ns(namespace) options in nvmecontrol(8) man page
Summary: missing description for ns(namespace) options in nvmecontrol(8) man page
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-31 01:47 UTC by wanpengqian
Modified: 2020-05-19 11:14 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wanpengqian 2019-07-31 01:47:15 UTC
as nvmecontrol has sub command ns, and man nvmecontrol didn't descript that part.

root@nec:~ # nvmecontrol 
usage:
       nvmecontrol devlist
       nvmecontrol identify [-x [-v]] <controller id|namespace id>
       nvmecontrol perftest <-n num_threads> <-o read|write>
                            <-s size_in_bytes> <-t time_in_seconds>
                            <-i intr|wait> [-f refthread] [-p]
                            <namespace id>
       nvmecontrol reset <controller id>
       nvmecontrol logpage <-p page_id> [-b] [-v vendor] [-x] <controller id|namespace id>
       nvmecontrol firmware [-s slot] [-f path_to_firmware] [-a] <controller id>
       nvmecontrol format [-f fmt] [-m mset] [-p pi] [-l pil] [-E] [-C] <controller id|namespace id>
       nvmecontrol power [-l] [-p new-state [-w workload-hint]] <controller id>
       nvmecontrol wdc (cap-diag|drive-log|get-crash-dump|purge|purge-montior)
       nvmecontrol ns (create|delete|attach|detach)

root@nec:~ # man nvmecontrol
NVMECONTROL(8)          FreeBSD System Manager's Manual         NVMECONTROL(8)

NAME
     nvmecontrol - NVM Express control utility

SYNOPSIS
     nvmecontrol devlist
     nvmecontrol identify [-v] [-x] <device id> <namespace id>
     nvmecontrol perftest <-n num_threads> <-o read|write> [-p]
                 <-s size_in_bytes> <-t time_in_sec> <namespace id>
     nvmecontrol reset <controller id>
     nvmecontrol logpage <-p page_id> [-x] [-v vendor-string] [-b] <device id>
                 <namespace id>
     nvmecontrol firmware [-s slot] [-f path_to_firmware] [-a] <device id>
     nvmecontrol format [-f fmt] [-m mset] [-o pi] [-l pil] [-E] [-C]
                 <device id> <namespace id>
     nvmecontrol power [-l] [-p -power_state] [-w -workload_hint]
     nvmecontrol wdc cap-diag [-o -path_template] <device id>
     nvmecontrol wdc drive-log [-o -path_template] <device id>
     nvmecontrol wdc get-crash-dump [-o -path_template] <device id>
Comment 1 Bjoern A. Zeeb freebsd_committer 2020-03-20 12:06:20 UTC
I think this has been partially fixed.  The SYNOPSIS now seems to list them, the DESCRIPTION is still lacking some guidance to someone who has no clue about nvme and tries to look at this the first time or as a reference to lookup the meaning of the various options.
Comment 2 Benedict Reuschling freebsd_committer 2020-05-19 11:14:45 UTC
I agree with Björn's assessment. The original issue reported in this PR is fixed. Further additions to the DESCRIPTION section can be handled in a separate PR without the need to keep this one open.